<?php
/**
 * StoreContactsApiTest
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\BuClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi. BU. Продавцы
 *
 * Управление продавцами
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace Ensi\BuClient;

use \Ensi\BuClient\Configuration;
use \Ensi\BuClient\ApiException;
use \Ensi\BuClient\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * StoreContactsApiTest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\BuClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class StoreContactsApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for createStoreContact
     *
     * Добавить новое контактное лицо склада.
     *
     */
    public function testCreateStoreContact()
    {
    }

    /**
     * Test case for deleteStoreContact
     *
     * Удалить информацию о контактном лице склада.
     *
     */
    public function testDeleteStoreContact()
    {
    }

    /**
     * Test case for getStoreContact
     *
     * Получить информацию о контактном лице склада.
     *
     */
    public function testGetStoreContact()
    {
    }

    /**
     * Test case for patchStoreContact
     *
     * Частично обновить информацию о контактном лице  склада.
     *
     */
    public function testPatchStoreContact()
    {
    }

    /**
     * Test case for replaceStoreContact
     *
     * Полностью обновить информацию о контактном лице  склада.
     *
     */
    public function testReplaceStoreContact()
    {
    }

    /**
     * Test case for searchStoreContacts
     *
     * Получить список контактных лиц склада, удовлетворяющих условиям.
     *
     */
    public function testSearchStoreContacts()
    {
    }
}
